Subject: Re: PATCH: Network Device Naming mechanism and policy

From: David Zeuthen <[email-masked]>
Date: Sun, 11 Oct 2009 12:40:18 -0400

On Sat, 2009-10-10 at 09:25 -0700, Greg KH wrote:
> Ok, but that way can be done in userspace, without the need for this
> char device, right?

It might actually be nice to have a device file anyway since you can use
existing udev infrastructure to adjust permissions (e.g. chown it to the
netdev group) and add ACLs. This would allow running some software as an
unprivileged user instead of uid 0.

      David